getDpLogDays(params: IGetDpLogDays)

Requires:
@ray-js/ray≥1.5.2

Description

Get daily reporting statistics of DPs within a specified date range

Parameters

ParameterTypeRequiredDescription
YesRequest parameters

Return Value

Type: Promise<IGetDpLogDaysResponse>
Daily statistics data, including total count, list of dates, and the corresponding values per day

Examples

Basic usage

import { getDpLogDays } from '@ray-js/ray';

getDpLogDays({
  devId: 'vdevo169477319679442',
  dpId: '1',
  startDay: '20240101',
  endDay: '20240131',
  type: 'sum',
}).then((res) => {
  console.log('Daily statistics:', res);
}).catch((error) => {
  console.error(error);
});